<!-- #include file="common.asp" -->

<%
  action = Trim(Request.Form("action"))
  message = Trim(Request.QueryString("message"))
  
  strSQL = "SELECT * FROM IISBM_config ORDER BY name"
  OpenConnection()
  
  Set oRS = oConn.Execute(strSQL)
  
  If action = "process" Then
    ' Process the form
    If Trim(Request.Form("submit")) = "Delete Selected" Then
      ' Delete the checked items
      Do While NOT oRS.EOF
        name = correct(oRS("name"))
        If Request.Form("del_" & name) = "1" Then
          strSQL = "DELETE FROM IISBM_config WHERE name = '" & oRS("name") & "'"
          oConn.Execute strSQL
        End If
        oRS.MoveNext
      Loop
      Response.Redirect Request.ServerVariables("script_name") & "?message=" & Server.URLEncode("The selected websites are no longer monitored.")
    Else
      ' Update
      Do While NOT oRS.EOF
        name = correct(oRS("name"))
        bandwidth = Request.Form("bw_" & name)
        a = Request.Form("a_" & name)
        email_to = Request.Form("et_" & name)
        email_from = Request.Form("ef_" & name)
        email_subject = Request.Form("es_" & name)
        
        strSQL = "UPDATE IISBM_config " & _
                 "SET monthly_bandwidth = " & bandwidth & _
                 "  , action_on_overage = " & a & _
                 "  , warn_email_to = '" & email_to & "'" & _
                 "  , warn_email_from = '" & email_from & "'" & _
                 "  , warn_email_subject = '" & email_subject & "'" & _
                 "WHERE name = '" & oRS("name") & "'"
        oConn.Execute strSQL
        oRS.MoveNext
        
      Loop
      
      
      ' Add new if necessary
      name = Request.Form("n_new")
      bandwidth = Request.Form("bw_new")
      a = Request.Form("a_new")
      email_to = Request.Form("et_new")
      email_from = Request.Form("ef_new")
      email_subject = Request.Form("es_new")
      
      If Trim(name) <> "" Then
        strSQL = "INSERT INTO IISBM_config (" & _
                 "name, monthly_bandwidth, action_on_overage, warn_email_to, warn_email_from, warn_email_subject" & _
                 ") VALUES (" & _
                 "    '" & name & "'" & _
                 "  , '" & bandwidth & "'" & _
                 "  , '" & a  & "'" & _
                 "  , '" & email_to & "'" & _
                 "  , '" & email_from & "'" & _
                 "  , '" & email_subject & "'" & _
                 ")"
        oConn.Execute strSQL
      End If
      Response.Redirect Request.ServerVariables("script_name") & "?message=" & Server.URLEncode("The settings have been updated and will take effect immediately.")
      
    End If
  End If  
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <title>IIS Bandwidth Monitor Configuration</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
    <link href="iisbm.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <a href="http://www.waetech.com/"><img src="http://concepts.waetech.com/waeTechnologies.gif" width="520" height="75" border="0" alt="WAE Technologies" /></a>
    <h1>IIS Bandwidth Monitor Configuration - Websites</h1>
  <% If Len(message) > 0 Then %>
    <div id="message"><%= message %></div>
  <% End If %>
    <form method="post" action="<%= Request.ServerVariables("script_name") %>">
      <input type="hidden" name="action" value="process" />
      <table width="100%">
        <tr>
          <th>&nbsp;</th>
          <th>Site Name</th>
          <th>Bandwidth (in bytes)</th>
          <th>Action</th>
          <th>Email To</th>
          <th>Email From</th>
          <th>Email Subject</th>
        </tr>
      <%
        Do While NOT oRS.EOF
          name = correct(oRS("name"))
          Response.Write "<tr>"
          Response.Write "<td><input type=""checkbox"" name=""del_" & name & """ value=""1"" /></td>"
          Response.Write "<td>" & oRS("name") & "</td>"
          Response.Write "<td><input type=""text"" name=""bw_" & name & """ value=""" & oRS("monthly_bandwidth") & """></td>"
          Response.Write "<td><select name=""a_" & name & """>"
          Response.Write "<option value=""0"""
          If oRS("action_on_overage") = 0 Then
            Response.Write " selected=""selected"""
          End If
          Response.Write ">Do Nothing</option>"
          Response.Write "<option value=""1"""
          If oRS("action_on_overage") = 1 Then
            Response.Write " selected=""selected"""
          End If
          Response.Write ">Disable Site</option>"
          Response.Write "<option value=""2"""
          If oRS("action_on_overage") = 2 Then
            Response.Write " selected=""selected"""
          End If
          Response.Write ">Send Warning</option>"
          Response.Write "</select></td>"
          Response.Write "<td><input type=""text"" name=""et_" & name & """ value=""" & oRS("warn_email_to") & """></td>"
          Response.Write "<td><input type=""text"" name=""ef_" & name & """ value=""" & oRS("warn_email_from") & """></td>"
          Response.Write "<td><input type=""text"" name=""es_" & name & """ value=""" & oRS("warn_email_subject") & """></td>"
          Response.Write "</tr>"
          oRS.MoveNext
        Loop
      %>
      <tr>
        <td colspan="6" class="explainer"><br />Create a new record using the blank line below</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>
          <input type="text" name="n_new">
        </td>
        <td>
          <input type="text" name="bw_new">
        </td>
        <td>
          <select name="a_new">
            <option value="0">Do Nothing</option>
            <option value="1">Disable Site</option>
            <option value="2">Send Warning</option>
          </select>
        </td>
        <td>
          <input type="text" name="et_new">
        </td>
        <td>
          <input type="text" name="ef_new">
        </td>
        <td>
          <input type="text" name="es_new">
        </td>
      </tr>
      </table>
      <div style="padding: 5px; background-color: #EEEEEE; text-align: center; border-top: solid 1px navy; margin-top: 10px;">
        <input type="submit" name="submit" value="Save/Update" tabindex="11" />
        <input type="submit" name="submit" value="Delete Selected" tabindex="12" />
        <input type="reset" value="Reset Form" tabindex="13" />
      </div>
    </form>  
    <div class="footer">
      Copyright &copy; 2003 - <%= Year(Now()) %> by <a href="http://www.waetech.com/">WAE Tech Inc</a>.  All rights reserved.
    </div>    
  </body>
</html>
<%
  oRS.Close()
  Set oRS = Nothing
  CloseConnection()
  
  Function correct(str)
    t = str
    t = Replace(t, " ", "_")
    t = Replace(t, "(", "_")
    t = Replace(t, ")", "_")
    t = Replace(t, "-", "_")
    t = Replace(t, ".", "_")
    t = Replace(t, ";", "_")
    correct = t
  End Function
%>