# Table: 'IISBM_config'
# 
CREATE TABLE `IISBM_config` (
  `name` varchar(50) NOT NULL default '',
  `monthly_bandwidth` decimal(18,0) NOT NULL default '0',
  `action_on_overage` int(11) default '0',
  `warn_email_to` varchar(100) default '',
  `warn_email_from` varchar(100) default '',
  `warn_email_subject` varchar(100) default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1; 

# Table: 'IISBM_hit'
# 
CREATE TABLE `IISBM_hit` (
  `id` int(11) NOT NULL auto_increment,
  `server_name` varchar(50) default '',
  `instance_id` decimal(18,0) default '0',
  `instance` varchar(100) default '',
  `sent` decimal(18,0) default '0',
  `received` decimal(18,0) default '0',
  `total` decimal(18,0) default '0',
  `get_hits` int(11) default '0',
  `post_hits` int(11) default '0',
  `date_created` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1; 

# Table: 'IISBM_log'
# 
CREATE TABLE `IISBM_log` (
  `id` int(11) NOT NULL auto_increment,
  `server_name` varchar(50) default '',
  `message` text,
  `date_created` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1; 

