<!-- #include file="common.asp" -->

<%
  instance = Request("instance")
  If "" & instance = "" Then
    instance = "%"
  End If
  
  OpenConnection()

  strSQL = "EXEC dbo.iisbm_report_instancebyday '" & Replace(instance, "'", "''") & "'"
  Set oRS = oConn.Execute(strSQL)
  
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>
<head>
	<title>Bandwidth Usage By Day</title>
  <style type="text/css">
    .group td {
      font-weight: bold;
      border-top: solid 2px black;
    }
    
    .header td {
      font-weight: bold;
      border-bottom: double 3px black;
    }    
    
    h1 {
      margin-bottom: 0;
      padding-bottom: 0; 
      line-height: .8em; 
      border-bottom: dashed 1px black;
    }
    
    body {
      background-color: white;
    }
    
      .graph {
        background-color: #C8C8C8;
        border: solid 1px black;
      }
      
      .graph td {
        font-family: verdana, arial, sans serif;
      }
      
      .graph thead th {
        border-bottom: double 3px black;
        font-family: verdana, arial, sans serif;
        padding: 1em;
      }
    
      .graph tfoot td {
        border-top: solid 1px #999999;
        font-size: x-small;
        text-align: center;
        padding: 0.5em;
        color: #666666;
      }

      .bar {
        background-color: white;
        text-align: right;
        border-left: solid 1px black;
        padding-right: 0.5em;
      }
      
      .bar div { 
        border-top: solid 2px #0077DD;
        background-color: #004080;
        border-bottom: solid 2px #002266;
        text-align: right;
        color: white;
        float: left;
        padding-top: 0;
        height: 1em;
        font-size: xx-small;
      }
      .bar div.remainder { 
        border-top: solid 2px white;
        background-color: white;
        border-bottom: solid 2px white;
        text-align: left;
        color: black;
        padding-top: 0;
        height: 1em;
        font-size: xx-small;
        padding-left: 0.5em;
      }
  </style>
</head>

<body>

  <h1>Total Bandwidth Usage By Day</h1>
  <p style="margin-top: 0; text-align: right; font-style: italic;">For the website <strong><%= instance %></strong></p>
    <table width="100%" class="graph" cellspacing="6" cellpadding="0">
      <thead>
        <tr><th colspan="2">Each bar of this graph is scaled.</th></tr>
      </thead>
      <tbody>
      <%
        ' Find Max value
        max = 0
        Do While NOT oRS.EOF
          If CDbl("0" & oRS("total")) > max Then max = CDbl("0" & oRS("total"))
          oRS.MoveNext
        Loop
        
        oRS.MoveFirst
        Do While NOT oRS.EOF
          Response.Write "<tr><td width=""5%"">" & oRS("month") & "/" & oRS("day") & "</td><td class=""bar"">"
          width = 100 * CDbl("0" & oRS("total")) / max
          value = FormatNumber(CDbl("0" & oRS("total")) / 1024, 2) & "k"
          Response.Write "<div style=""width: " & width & "%"">"
          If width >= 50 Then
            Response.Write value & "&nbsp;</div>"
          Else
            Response.Write "</div><div class=""remainder"">" & value & "</div>"
          End If
          Response.Write "</td></tr>"
          oRS.MoveNext
        Loop
      %>
      </tbody>
      <tfoot>
        <tr><td colspan="2">Note: Each bar of the graph is scaled so that each is proportional with the others.  The largest number (represented by the longest bar) should approximately fill the area.  The times for each bar are for the traffic during the hour beginning with the one indicated.</td></tr>
      </tfoot>
    </table>
  </table>

</body>
</html>

<%
  oRS.Close
  Set oRS = Nothing
  CloseConnection()
%>
